# Copyright (c) 2019 Dave Love, University of Manchester
# Licence: MIT, per Fedora policy

%global packname  pbdML
%global rlibdir %{_libdir}/R/library

Name:		R-pbdML
Version:	0.1.2
Release:	1%{?dist}
Summary:	Programming with Big Data -- Machine Learning
License:	BSD
URL:		https://github.com/RBigData/pbdML
SOurce0:	https://github.com/RBigData/pbdML/archive/v0.1-1/pbdML-1.1.1.tar.gz
#Source0:	ftp://cran.r-project.org/pub/R/contrib/main/pbdML_%(echo %version | awk -F'\\.' '{print $1"."$2"-"$3}').tar.gz
BuildRequires:	R-devel, R-pbdMPI >= 0.3.0, R-pbdDMAT >= 0.4.0
BuildRequires:	openmpi-devel tex(wrapfig.sty) tex(fancyhdr.sty)
BuildRequires:	tex(lastpage.sty)

%description
A collection of machine learning utilities that can be run either in
serial with native R objects (matrices and vectors) or in parallel
with distributed matrices from the 'pbdDMAT' package.  Here, we focus
on ease of coding and understanding rather than performance (i.e., all
code is written in R), and as such this package should primarily be
thought of as a demonstration of the capabilities of the pbdDMAT
package.

%prep
%setup -q -c


%build
%_openmpi_load
R CMD build %{packname}*
tar fx %{packname}*.tar.gz


%install
mkdir -p $RPM_BUILD_ROOT%{rlibdir}
%_openmpi_load
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{rlibdir} pbdML
test -d pbdML/src && (cd pbdML/src; rm -f *.o *.so)
rm -f $RPM_BUILD_ROOT%{rlibdir}/R.css


%check
%_openmpi_load
OMPI_MCA_rmaps_base_oversubscribe=1 \
%{_bindir}/R CMD check pbdML


%files
%license pbdML/LICENSE
%dir %{rlibdir}/pbdML
%doc %{rlibdir}/pbdML
%{rlibdir}/pbdML


%changelog
* Tue Aug 11 2020 Dave Love <loveshack@fedoraproject.org> - 0.1.2-1
- New version
- Fix URL

* Mon Jun 24 2019 Dave Love <loveshack@fedoraproject.org> - 0.1.1-1
- Initial packaging

